summaryrefslogtreecommitdiffstats
path: root/win/tools/.copy_missing_headers
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commitce4a32fe52ef09d8f5ff1dd22c001110902b60a2 (patch)
tree5ac38a06f3dde268dc7927dc155896926aaf7012 /win/tools/.copy_missing_headers
downloadtdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.tar.gz
tdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdelibs@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'win/tools/.copy_missing_headers')
-rwxr-xr-xwin/tools/.copy_missing_headers25
1 files changed, 25 insertions, 0 deletions
diff --git a/win/tools/.copy_missing_headers b/win/tools/.copy_missing_headers
new file mode 100755
index 000000000..9ac1e3906
--- /dev/null
+++ b/win/tools/.copy_missing_headers
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# copies missing compiler headers
+
+.check_kde_env || exit 1
+
+if [ -n "$MSVC" ] ; then
+ dir="$MSVC/vc7/include"
+ mkdir -p "$KDELIBS/win/msvc/" || exit 1
+ mkdir -p "$KDELIBS/win/sys/msvc/" || exit 1
+ cp "$dir/ctype.h" "$dir/signal.h" "$dir/stdlib.h" "$dir/string.h" "$KDELIBS/win/msvc/" || exit 1
+ cp "$dir/fcntl.h" "$dir/sys/stat.h" "$dir/sys/types.h" "$KDELIBS/win/sys/msvc/" || exit 1
+
+elif [ -n "$BCB" ] ; then
+ dir="$BCB/include"
+ mkdir -p "$KDELIBS/win/bcc/" || exit 1
+ mkdir -p "$KDELIBS/win/sys/bcc/" || exit 1
+ cp "$dir/ctype.h" "$dir/signal.h" "$dir/stdlib.h" "$dir/string.h" "$KDELIBS/win/bcc/" || exit 1
+ cp "$dir/fcntl.h" "$dir/sys/stat.h" "$dir/sys/types.h" "$KDELIBS/win/sys/bcc/" || exit 1
+
+else
+ echo "No compiler detected (MSVC or other)"
+ exit 1
+fi
+